# SetUserDataInActivationLog

### Description

Sets the user data field associated with an activation key and a computer ID. This method should be used for multiple activations keys.

```csharp
bool SetUserDataInActivationLog (string webServiceUrl, string activationKey, 
                                 string computerID, string userData, 
                                 out string errorMessage)
```

### Parameters

| Parameter     |  Type  | Description                         |
| ------------- | :----: | ----------------------------------- |
| webServiceUrl | string | URL to the QLM License Server       |
| activationKey | string | the activation key                  |
| computerID    | string | the unique identifier of the system |
| userData      | string | the user data to set                |
| errorMessage  | string | returned error message              |

### Return

| Type | Description                          |
| ---- | ------------------------------------ |
| bool | true if successful; otherwise false. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/setuserdatainactivationlog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
